# mongoc_uri_get_auth_source()

## Synopsis

    const char *
    mongoc_uri_get_auth_source (const mongoc_uri_t *uri);

## Parameters

- `uri`: A mongoc_uri_t.

## Description

Fetches the `authSource` parameter of an URI if provided.

## Returns

A string which should not be modified or freed if the `authSource` parameter is provided, otherwise `NULL`.

See also

Authentication
mongoc_uri_get_auth_mechanism()
mongoc_uri_get_auth_source()
mongoc_uri_get_mechanism_properties()
mongoc_uri_set_auth_mechanism()
mongoc_uri_set_auth_source()
mongoc_uri_set_mechanism_properties()